Bug 171480 - Archive names can't contain spaces
Archive names can't contain spaces
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: p7zip (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
http://sourceforge.net/tracker/index....
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-21 14:58 EDT by myspace
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.29-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-27 12:44:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description myspace 2005-10-21 14:58:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr-FR; rv:1.7.12) Gecko/20050919 Firefox/1.0.7

Description of problem:
7za 4.29 from p7zip_4.29_x86_linux_bin.tar.bz2
or compiled from p7zip_4.29_src_all.tar.bz2
(http://sourceforge.net/projects/p7zip/)
do support archive names with spaces

whereas 7za from p7zip-4.29-2.fc4
does not support archive names with spaces.



Version-Release number of selected component (if applicable):
p7zip-4.29-2.fc4

How reproducible:
Always

Steps to Reproduce:
7z l test\ test.7z


Actual Results:  7-Zip 4.29 beta Copyright (c) 1999-2005 Igor Pavlov
2005-09-28
p7zip Version 4.29
(locale=en_US.UTF-8,Utf16=on,HugeFiles=on)

Error: test is not archive

Expected Results:  display the files in the archive.

Additional info:

bug first reported in http://sourceforge.net/tracker/index.php?func=detail&aid=1332984&group_id=111810&atid=660493
Comment 1 myspace 2005-10-21 15:07:35 EDT
I have just found out what is wrong :

in /usr/bin/7za (and /usr/bin/7z)
replace
    $@
with
   "$@"
Comment 2 Matthias Saou 2005-10-24 07:35:05 EDT
Seems like a sane change/fix.
This doesn't affect passing options and such, right?

Note You need to log in before you can comment on or make changes to this bug.